#pragma once

#include "CoreMinimal.h"
#include "GameFramework/CharacterMovementComponent.h"
#include "K30DrawPatrolMovementComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THEK30_API UK30DrawPatrolMovementComponent : public UCharacterMovementComponent
{
	GENERATED_BODY()

public:
	DECLARE_DYNAMIC_MULTICAST_DELEGATE(FOnHitLedgeEvent);

public:
	UPROPERTY(BlueprintReadWrite, BlueprintAssignable)
	FOnHitLedgeEvent OnHitLedgeEvent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float OnHitLedgeEventCooldown;

public:
	UK30DrawPatrolMovementComponent();
};

FORCEINLINE uint32 GetTypeHash(const UK30DrawPatrolMovementComponent) { return 0; }
